Unit Global;

Interface

Const
     // Allgemeines
     QW_MapWidth               = 64;
     QW_MapHeight              = 64;
     QW_BlockSize              = 128;
     QW_MaxVertex              = 31999;
     QW_MaxIndex               = 47999;
     QW_MaxPolygon             = 11999;
     QW_MaxTexCoord            = 999;
     QW_MaxDifferentBlocks     = 5;
     QW_BlockFloorCeiling      = 0;
     QW_BlockWall              = 1;
     QW_BlockColumn            = 2;
     QW_BlockWater             = 3;
     QW_BlockWindowHoriz       = 4;
     QW_BlockWindowVert        = 5;
     QW_QCMStr                 = 'QCM1';

     // Texturen
     QW_MaxTexturesPerBlock    = 4;
     QW_TexFloor               = 0;
     QW_TexCeiling             = 1;
     QW_TexWall                = 2;
     QW_TexPedestalFloor       = 3;
     QW_TexPedestalCeiling     = 4;
     QW_MaxTextures            = 255;
     QW_MaxSubTextures         = 7;

     // Verzeichnisse
     QW_MapPath                = 'Maps\';
     QW_TexturePath            = 'GFX\';

     // Textur-Animationstypen
     QW_animRepeat = 0;
     QW_animPingPong = 1;
     QW_animTicks = 200;

Type
     TVertex = Packed Record
        x, y, z: Single;
        Overall, r, g, b: Byte;
//        Normal: TNormal;
{        Alpha: Byte;
        Filler: Packed Array[0..2] Of Byte; // Damit jeder Vertex an einer DWord-Grenze beginnt}
     End;

     TTexCoord = Packed Record
        u, v: Single;
     End;

     TPolygon = Packed Record
        FirstIndex, IndexNum: Word;
        Texture: Word;
        Opacity: Byte;
        IsUsed: Byte;
     End;

     TBlock = Packed Record
        BlockType: Byte;
        Opacity: Byte;
        Flags: Word;
        FirstPolygon, PolygonNum: Word;
        FloorHeight: Single;
        MinCeilingHeight: Single;
        WaterHeight: Single;
     End;

     TQCMHeader = Packed Record
        Str: Packed Array[0..3] Of Char;
        StartX, StartY: Integer;
        TextureNum: Integer;
        IndexNum: Integer;
        VertexNum: Integer;
        PolygonNum: Integer;
        TexCoordNum: Integer;
     End;

Implementation

End.
